package com.gci.boot.modules.dataview.service;

import java.util.List;
import java.util.Map;

import com.baomidou.mybatisplus.extension.service.IService;
import com.gci.boot.modules.customer.vo.CustomerFollowVo;
import com.gci.boot.modules.customer.vo.InspectionTaskVo;
import com.gci.boot.modules.dataview.vo.ProjectContractVo;
import com.gci.boot.modules.dataview.vo.RepairPayMonthVo;
import com.gci.boot.modules.driver.entity.TbDriver;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author xushuhan
 * @since 2023-09-04
 */
public interface ITbBusinessCenterService extends IService<TbDriver> {

	ProjectContractVo getProjectContractTotal();

	List<ProjectContractVo> getProjectContractList(String pay);

	Map<String, List<RepairPayMonthVo>> getRepairPay(RepairPayMonthVo param);

	List<InspectionTaskVo> getInspectionTaskStatis(InspectionTaskVo params);

	List<InspectionTaskVo> getInspectionTaskTotalStatis(InspectionTaskVo params);

	List<CustomerFollowVo> getCustomerFollowStatis(CustomerFollowVo params);

	List<CustomerFollowVo> getCustomerFollowTotalStatis(CustomerFollowVo params);

}
